Subject: Compiling X11 clients
From: [email-masked] (John Jones)

3 Dec 1996 21:36:24 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0 (generated by tm-edit 7.93)
Content-Type: text/plain; charset=US-ASCII
Original-To: [email-masked]
Original-Sender: [email-masked]

I have downloaded the X11 libraries at the Univ. of Texas
archive (changing their names to be more Unix like), and
have tried to compile X11 clients with them.  It must be
possible since they have working X11 clients at the U texas
archive which work fine.  I would like to run other X11
clients (I have a commercial X11 server) under NT.

I thought I would start with something simple like xeyes,
but I get tons of error messages during the final
compilation:

gcc -o xeyes  xeyes.o Eyes.o transform.o -L/usr/lib/X11
-lm -lXmu -lXt -lXext -lX11 

produces errors such as

/usr/lib/libX11.a(X11.def)(.idata$2+0x0): multiple definition of `idata$2'
/usr/lib/libXext.a(Xext.def)(.idata$2+0x0): first defined here
/usr/lib/libX11.a(X11.def)(.idata$2+0x0): multiple definition of `idata$4'
/usr/lib/libXext.a(Xext.def)(.idata$2+0x0): first defined here
/usr/lib/libX11.a(X11.def)(.idata$2+0x0): multiple definition of `idata$5'
/usr/lib/libXext.a(Xext.def)(.idata$2+0x0): first defined here
/usr/lib/libXt.a(Initialize.obj)(.text+0x18):Initialize.c:
undefined reference to `gethostname@8'
/usr/lib/libXt.a(TMaction.obj)(.text+0x17e):TMaction.c: undefined reference to `_chkstk'
/usr/lib/libXt.a(TMparse.obj)(.text+0x2281):TMparse.c: undefined reference to `__mb_cur_max_dll'
/usr/lib/libXt.a(TMparse.obj)(.text+0x22a1):TMparse.c: undefined reference to `_isctype'

Does anyone know how to get this to work?  I am using b16 of
the cygnus setup.  Is it possible that the libraries were
compiled with another version of the cygnus package?

                                 John Jones

---------------------------------------------------------------
Department of Mathematics               Office:  PSA 729
Arizona State University                Phone:   965-3725
Tempe, AZ    85287-1804                 FAX:     965-8119
URL: http://math.la.asu.edu/~jj         e-mail:  [email-masked]
---------------------------------------------------------------

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".